Page MenuHomePhabricator

FlaggedRevs still treats a removed namespace as if it still exists (arwiki)
Closed, ResolvedPublic

Description

Background:

  • Arabic Wikipedia (arwiki) had previously an additional namespace called "ملحق" (ns: 104) that was later removed from wiki per community consensus. (See T98896)
  • Arabic Wikipedia has the FlaggedRevs extension installed.

Problem:

  • The FlaggedRevs extension on arwiki still treats the "ملحق" as if it still exists.
  • For example, the special page ar:Special:ValidationStatistics still treats the namespace as existing.

(See the last row in the table which contains "-0". This row used to have statistics about the removed ns:104)

Request:

  • The FlaggedRevs configuration on arwiki should be modified to reflect the fact that the "ملحق" namespace was removed.
  • In the Wikimedia configuration file flaggedrevs.php, we see:
 elseif ( $wgDBname == 'arwiki' ) {
	$wgFlaggedRevsWhitelist = [ 'الصفحة_الرئيسية' ];
	$wgFlaggedRevsNamespaces = array_merge( $wgFlaggedRevsNamespaces, [ 100, 104 ] ); // T21332
}

Event Timeline

Meno25 created this task.Mar 3 2019, 1:17 PM
Restricted Application added subscribers: alanajjar, Aklapper. · View Herald TranscriptMar 3 2019, 1:17 PM
Zoranzoki21 added a subscriber: Zoranzoki21.

So we should remove ns 104?

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMar 3 2019, 1:33 PM
Meno25 added a comment.Mar 3 2019, 1:49 PM

So we should remove ns 104?

Yes, please.

So we should remove ns 104?

Yes, please.

Ok, sure. I will make patch!

Meno25 awarded a token.Mar 3 2019, 2:10 PM

So we should remove ns 104?

Yes, please.

Ok, sure. I will make patch!

Hi again, @Zoranzoki21 Thank you for adding yourself as the assignee of this task but 6 days passed without action. So, unless there is something blocking this task, could you, please, resolve this request? Best wishes.

Framawiki added a subscriber: Framawiki.EditedMar 10 2019, 10:34 AM

Hi again, @Zoranzoki21 Thank you for adding yourself as the assignee of this task but 6 days passed without action. So, unless there is something blocking this task, could you, please, resolve this request? Best wishes.

Hi @Meno25, we're all volunteers here, so it can take a few days/weeks to implement requests :)
@Zoranzoki21 if you don't have enough time these days, don't hesitate to ask in Z398 for someone else or unassign yourself.

Hi, I will do this.

And this will be deployed today.

Change 498947 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Remove namespace 104 from FlaggedRevs configuration for arwiki

https://gerrit.wikimedia.org/r/498947

Change 498947 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove namespace 104 from FlaggedRevs configuration for arwiki

https://gerrit.wikimedia.org/r/498947

Mentioned in SAL (#wikimedia-operations) [2019-03-25T18:46:46Z] <dcausse@deploy1001> Synchronized wmf-config/flaggedrevs.php: revert T217507 (duration: 00m 49s)

There was a problem with patch, will be fixed tomorrow.

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Mar 27 2019, 8:10 PM

Sorry, but I can't work on this task because of personal issues.

Change 500153 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Remove namespace 104 from FlaggedRevs configuration for arwiki

https://gerrit.wikimedia.org/r/500153

Reclaimed, because I found solution for fix.

Change 500153 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove namespace 104 from FlaggedRevs configuration for arwiki

https://gerrit.wikimedia.org/r/500153

Zoranzoki21 closed this task as Resolved.Apr 3 2019, 4:14 PM

Mentioned in SAL (#wikimedia-operations) [2019-04-03T16:16:07Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/flaggedrevs.php: SWAT: [[gerrit:500153|Remove namespace 104 from FlaggedRevs configuration for arwiki (T217507)]] (duration: 01m 00s)